#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include "hdfi.h"
#include "sis.h"
#include "level1.h"
 
    /* testing putSisHighPriorityRates */
int main(int argc, char *argv[]) {
    struct L1SisHighPriorityRate hpr, *pHpr;
    struct tm timeStruct, *pTimeStruct;
    uint32 secondsSince1996;
    int status;
 
    timeStruct.tm_year = 99;    /* 1999 */
    timeStruct.tm_mon = 8;      /* sept. */
    timeStruct.tm_mday = 24;    /* the 24th */
    timeStruct.tm_hour = 15;    /* 3 pm */
    timeStruct.tm_min = 34;
    timeStruct.tm_sec = 30;
    timeStruct.tm_isdst = 0;    /*  no daylight savings time */
    pTimeStruct = &timeStruct;
    secondsSince1996 = getSecondsSince1996FromDate(pTimeStruct);
 
    hpr.Second1996 = secondsSince1996;
        /* the rest of the structure i'll just leave.  only the time stamp */
        /* is important to the archive routines...                         */
 
    pHpr = &hpr;
    status = putSisHighPriorityRates(pHpr);
    printf("status = %d\n", status);
 
    return 0;
}
